Last Comment Bug 164390 - Open tabs instead of windows for ... normal click
: Open tabs instead of windows for ... normal click
Status: RESOLVED WONTFIX
:
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: jag (Peter Annema)
: Patty Mac
:
Mentors:
http://home.iprimus.com.au/marco75
: 169320 (view as bug list)
Depends on:
Blocks: 161466
  Show dependency treegraph
 
Reported: 2002-08-24 01:25 PDT by Marco Nadal
Modified: 2008-07-31 01:19 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Marco Nadal 2002-08-24 01:25:21 PDT
My version of Mozilla is 1.0.
The feature below may be already implemented in a later version. If so, I'd like
you to tell me about it, please.

I'd like to request a feature. I have been using Opera 6.04 under Windows, and
one of the most attractive features it had was to keep all the browser windows
in a tabbed bar.

Unlike Windows, KDE keeps all the windows of an application in a single taskbar
button, I find this confusing, as you have to click the button, read the list to
find the window you want, and then click again to go to that window.

I'd like to have the option in 
Preferences -> Navigator -> tabbed browsing -> Open tabs instead of windows for...
normal click

that is,

+---Open tabs instead of windows for ----------------------------------+
|                                                                      |
| (@) Normal click                                                     |
| ( ) Middle-click or control-click of links in a Web page             |
|                                                                      |
| (@) Enter in the Location bar                                        |
| ( ) Control+Enter in the Location bar                                |
+----------------------------------------------------------------------+

1234567890123456789012345678901123456789023456789012345678901234567890123
         10        20        30         40       50        60        70

Hope the ASCII art arrived at your end correctly (set word wrap to 73 or above)
(@) and ( ) are radio buttons.

Thank you for reading my suggestion. I'm not a programmer, but I think this
feature would be very easy to implement, as the code for the openLink(URL) just
needs to be changed from 

(current behaviour)
if userInput=Ctrl+Click then openTab(URL)
   else open(URL)

to

(new behaviour)
if (userInput=Ctrl+Click AND Pref.Nav.Tab.opt2 = radio2) then openTab(URL)
   else if (userInput=Click AND Pref.Nav.Tab.opt2 = radio1) then openTab(URL)
        else open(URL)

Again, I have never looked at the code for Mozilla. Please excuse my ignorance.
The pseudocode above is just supposed to illustrate what I want.

Again, thanks for your time.

Marco Nadal
Comment 1 Marcus Campbell 2002-08-24 04:18:50 PDT

*** This bug has been marked as a duplicate of 161466 ***
Comment 2 Jason Bassford 2002-08-24 06:00:43 PDT
Not a duplicate of that bug.  That bug tracks preferences and implements
anything related to "fixing" the UI for tabbed browsing preferences.
Comment 3 Jason Bassford 2002-08-24 06:00:59 PDT

*** This bug has been marked as a duplicate of 158223 ***
Comment 4 Jason Bassford 2002-08-25 09:55:16 PDT
Re-opening since, from further comments in that bug, this was not a duplicate of
bug 158223 after all.
Comment 5 timeless 2002-08-25 10:14:22 PDT
this would *not* make for a better preferences ui.

that said, i actually had an embedding use for something like this (you 
wouldn't see the tabs, but all links would open in a new <browser/> inside the 
<tabbrowser/>, this form would make back/forward navigation fast, but then 
someone would have to write the glue to swap really dead tabs into session 
history or else you'd just keep holdding and allocating memory... the other 
advantage of this flavor is that window.open() paired with window.close() is 
harmless, it acts just like following a link and then pressing back).

for now you should probably find out if multizilla can testbed this feature...
Comment 6 Marco Nadal 2002-10-16 07:34:16 PDT
I first reported this bug, many months ago when I started using Linux Mandrake for the first time. (a very disheartening, disappointing experience)
This is when I installed Mozilla 1.0 in that environment.

Anyway, soon after someone correctly pointed out that my original description was nonsense. If every normal-click opened a tab, there would be one for every link! I soon after discovered that the middle button does the same. So if I wanted my original request, I'd just have to use the middle button all the time.

What I actually meant was this: I have been using Opera 6 for a while now. It displays each browser window in its own button on a taskbar INSIDE of Opera. Therefore it only occupies a SINGLE button on the system's taskbar (I have only used it within Windows98).

This is what I'd like: Have Mozilla's tabbed view to be the same: Left click displays the hyperlink in the current window (unless the hyperlink has the OpenWindow(url) property). Middle click opens it in a tab. Ctrl + N opens a new tab at the default location.

This means there's only ever one Mozilla program window. 

Having multiple tabs in multiple Mozilla windows is very confusing, to say the least, that situation should be avoided.

Hope this clears things up for everybody.

Sorry again for letting this slip for so long, I'm a bad bug tester. (wah!)
Comment 7 Marcus Campbell 2002-10-17 02:02:57 PDT
> This is what I'd like: Have Mozilla's tabbed view to be the same: Left
> click displays the hyperlink in the current window (unless the hyperlink
> has the OpenWindow(url) property). Middle click opens it in a tab. Ctrl
> + N opens a new tab at the default location.

If you now want links to open in the current window, Mozilla already does all
this (except Ctrl + T opens a new tab in the current window) and, therefore,
there is no bug.

> Having multiple tabs in multiple Mozilla windows is very confusing, to
> say the least, that situation should be avoided.

Opera's tabbed windows are directly equivalent to Mozilla's tabs. You can open
multiple tabs within Mozilla while only having one taskbar button. You can also
have two instances of Opera running with windows open in each. Same issue.

Either INVALID or, potentially, a dupe of bug 60775.

-> INVALID.
Comment 8 Bamm Gabriana 2002-10-17 20:48:09 PDT
Mozilla's tabbed browsing feature is actually and enhancement of Opera's
version. In Mozilla you can open a combination of tabs and windows in order to
group similar topics in the same window, leading to more organized browsing. In
Opera everything is forced to open in the same window, which is IMHO no better
than using the Windows taskbar itself, since all your pages still get mixed up.

However, this is a valid request, so I am reopening to mark it WONTFIX.
Comment 9 Bamm Gabriana 2002-10-17 20:49:15 PDT
--> WONTFIX. Fixing this bug will be a regression.
Comment 10 Jesse Ruderman 2002-10-22 18:02:48 PDT
See also bug 169320, "we need an option for 'open all the links in new tab'."
Comment 11 John Watts 2002-10-24 20:18:19 PDT
OpenWindow() in tab needed for kiosk mode

Please reconsider implementing an option to OpenWindow(url) in tabs only, at
least when Mozilla is in kiosk mode.  When in kiosk mode, there is no way of
keeping multiple windows open simultaneously and switching between them.  Of
course you can coolswitch in Windows, but such basic functionality should be
possible without resorting to keyboard commands, especially if the browser were
running in an actual kiosk setting where there conceivably might not even be a
keyboard.  More importantly, if a web page does OpenWindow(url) while in kiosk
mode, new windows are opened without the user's consent or control, and these
new windows are not in kiosk mode.
Comment 12 John Watts 2002-10-24 20:59:33 PDT
Oops.  I misspoke.  Kiosk mode is not implemented yet, if it ever will be.  I
meant fullscreen mode, but my comments would also be applicable (perhaps more
so) if kiosk mode were implemented.
Comment 13 Michael Lefevre 2002-12-15 11:48:57 PST
*** Bug 169320 has been marked as a duplicate of this bug. ***
Comment 14 Shaohua Wen 2003-07-01 19:25:40 PDT
One more question about this bug.
Not every mouse has a middle button (the computer in my home only has a two
button logitech mouse).That's why I feel inconvenience cause the middle button
is nothing for me.

Note You need to log in before you can comment on or make changes to this bug.